# std::experimental::ostream_joiner::operator*

From cppreference.com
< cpp‎ | experimental‎ | ostream joiner

ostream_joiner& operator*(); |  | (library fundamentals TS v2)

Does nothing, this member function is provided to satisfy the requirements of `OutputIterator`.

It returns the iterator itself, which makes it possible to use code such as *iter = value to output (insert) the value into the underlying stream.

### Parameters

(none)

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/ostream_joiner/operator*&oldid=91409"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template